Subject: bug#23722: 24.5; Problem of displaying arabic font in dired mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jun 2016 08:01:10 +0300

> From: Waleed Yousef <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 09 Jun 2016 00:10:34 +0000
> 
> 1- why this happened; I just had this problem 2 days ago!!

I don't know.  Somehow your locale- and language-related system
settings have changed.  You will have to review the changes to your
system, both inside and outside of Emacs.

> 2- what should I do to resolve it permenantly?

Put this into your ~/.emacs:

  (setq file-name-coding-system 'utf-8)